#
# Conditional build:
%bcond_without	gnome	# without gcdmaster
#
Summary:	Tools for burning CDRs in Disk At Once mode
Summary(pl):	Narzdzia do wypalania pyt w trybie Disk At Once
Summary(pt_BR):	Cdrdao - Escreve CD-Rs de udio em modo "disk-at-once"
Name:		cdrdao
Version:	1.1.8
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/cdrdao/%{name}-%{version}.tar.gz
# Source0-md5:	10cfd445fa628fb32dacf02e555fdbba
Source1:	%{name}.desktop
# http://cdrdao.sourceforge.net/drives.html#dt
Source2:	%{name}.drivers
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-pccts-antlr.patch
URL:		http://cdrdao.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cdrtools-devel >= 3:2.01a25
%{?with_gnome:BuildRequires:	libgnomeuimm-devel >= 2.0.0}
%{?with_gnome:BuildRequires:	gtkmm-devel >= 2.2.8}
BuildRequires:	lame-libs-devel >= 3.92
BuildRequires:	libstdc++-devel
BuildRequires:	pccts >= 1.33MR33-8
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cdrdao records audio and data CD-Rs in Disk At Once mode. This mode
gives much better control over contents of CD.

%description -l pl
Cdrdao zapisuje pytki audio i z danymi w trybie Disk At Once. W tym
trybie masz znacznie wiksz kontrol nad zawartoci pytki.

%description -l pt_BR
Escreve CD-Rs de udio em modo "disk-at-once" (DAO) permitindo
controle sobre pre-gaps (tamanho reduzido a 0, dados no zerados de
udio) e informaes de sub-canais como cdigos ISRC. Todos os dados
que so escritos no disco devem ser especificados atravs de um
arquivo texto. Dados de udio tambm podem estar no formato WAVE ou
raw.

%package gcdmaster
Summary:	GNOME frontend to cdrdao for composing audio CDs
Summary(pl):	Frontend GNOME do cdrdao do skadania pyt CD-Audio
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the composition of
audio CDs from one or more audio files. It supports PQ-channel
editing, entry of meta data like ISRC codes/CD-TEXT and non
destructive cut of the audio data.

%description gcdmaster -l pl
gcdmaster pozwala na tworzenie plikw toc dla cdrdao oraz moe
kontrolowa proces nagrywania. Gwnym celem jest skadanie pyt
CD-Audio z jednego lub wicej plikw z dwikiem. Obsuguje edycj
kanau PQ, wpisy meta-danych takich jak kody ISRC/CD-TEXT oraz
niedestruktywne cicie danych audio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's#/usr/src/linux/include##g' scsilib/DEFAULT*/Defaults.linux
%if %{without gnome}
sed -i -e 's/^en_xdao=yes$/en_xdao=no/' configure.in
%endif

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-pcctsbin=%{_bindir} \
	--with-pcctsinc=/usr/lib/pccts/h \
	--with-scglib-inc=/usr/include/schily \
	--with-scglib-lib=/usr/lib 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_datadir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/gcdmaster.desktop
install xdao/stock/gcdmaster.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}/drivers

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README README.PlexDAE 
%attr(755,root,root) %{_bindir}/cdrdao
%attr(755,root,root) %{_bindir}/toc2*
%attr(755,root,root) %{_bindir}/cue2toc
%{_datadir}/%{name}
%{_mandir}/man1/cdrdao.1*
%{_mandir}/man1/cue2toc.1*

%if %{with gnome}
%files gcdmaster
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gcdmaster
%{_desktopdir}/gcdmaster.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/gcdmaster.*
%endif
